﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace Minecraft.ContentInstaller
{
    public static class MinecraftPaths
    {

        public static string Jar
        {
            get
            {
                return Path.Combine(GameRoot, "bin\\minecraft.jar");
            }
        }

        public static string GameRoot
        {
            get
            {
                return Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), ".minecraft");
            }
        }

    }
}
