﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MTSGui
{
    /// <summary>
    /// Interaction logic for Update.xaml
    /// </summary>
    public partial class Update : Window
    {
        private UpdateInfo _Info;

        public Update(UpdateInfo Info)
        {
            InitializeComponent();

            _Info = Info;

            UpdateTitle.Text = "An update is available for MTS (v" + Info.Version + ")";
            UpdateText.Text = Info.Text;
        }

        private void OpenDownload(object sender, RoutedEventArgs e)
        {
            System.Diagnostics.Process.Start(_Info.Link);
            this.Close();
        }
    }
}
