﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.IO.Packaging;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO.Compression;
using System.Threading;

namespace MTS
{
    public interface ChunkCache : IDisposable
    {
        void addImage(TileImage image);
        TileImage getImage(long worldX, long worldY);
        bool imageExists(long worldX, long worldY);
    }
}
